{
  pkgs,
  config,
  lib,
  ...
}:
with lib;
{
  programs.wofi = mkIf config.desktop.enableSwayStack {
    enable = true;

    settings = {
      allow_images = true;
      allow_markup = true;
      insensitive = true;
      hide_scroll = true;
      no_actions = false;
      term = "${pkgs.alacritty}/bin/alacritty";
      width = "35%";
      lines = 8;
      always_parse_args = true;
    };

    style = ''
      #window {
        background-color: transparent;
        border-radius: 15px;
        font-family: sans-serif;
        animation: fadeIn;
        animation-duration: 0.2s;
      }

      @keyframes fadeIn {
        from { opacity: 0; }
        to { opacity: 1; }
      }

      #outer-box {
        margin: 15px;
        border-radius: 15px;
        background-color: #3b4252;
        box-shadow: 0px 0px 5px 0 #0F0F0F;
      }

      #inner-box {
        color: #d8dee9;
        padding: 10px;
        padding-top: 5px;
      }

      #input {
        color: #e5e9f0;
        border: 2px solid #5e81ac;
        background-color: #4c566a;
        padding: 6px;
        margin: 15px;
        margin-bottom: 0px;
        font-size: 16px;
        border-radius: 5px;
      }

      #entry {
        border-radius: 5px;
        padding: 7px;
        margin: 0px 5px 0px 5px;
      }

      #text {
        font-size: 16px;
        padding: 7px;
        color: #d8dee9;
      } 

      #img {
        padding: 4px;
      }
    '';
  };
}
