{
  lib,
  config,
  pkgs,
  ...
}:
with lib;
{
  options.development.embedded.enableTools = mkOption {
    type = types.bool;
    default = false;
    example = true;
    description = ''
      Enable embedded tools.
    '';
  };

  options.development.embedded.toolsList = mkOption {
    type = types.listOf types.package;
    default = with pkgs; [
      qemu
      minicom
    ];
  };

  config.home.packages = lib.mkIf config.development.embedded.enableTools config.development.embedded.toolsList;
}
